Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597649 - When pairing a bluetooth keyboard or mouse it will not pair when clicking grant from the bluetooth appet
Summary: When pairing a bluetooth keyboard or mouse it will not pair when clicking gra...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-30 00:17 UTC by John Mizell
Modified: 2011-06-27 17:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 17:02:34 UTC


Attachments (Terms of Use)

Description John Mizell 2010-05-30 00:17:43 UTC
Description of problem:
when pairing a bluetooth keyboard or mouse it will not pair when clicking grant from the bluetooth appet

Version-Release number of selected component (if applicable):
[root@starlight ~]# rpm -qa | grep bluez
bluez-cups-4.63-3.fc13.i686
bluez-4.63-3.fc13.i686
bluez-libs-4.63-3.fc13.i686


How reproducible:
Always

Steps to Reproduce:
1.click with keyboard or mouse 
2.appet shows keyboard or mouse and asks to grant access
3. Click grant access
  
Actual results:
Does not pair or grant access
out put from demsg:
usb 2-8.2: new low speed USB device using ohci_hcd and address 12
usb 2-8.2: New USB device found, idVendor=046d, idProduct=c016
usb 2-8.2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 2-8.2: Product: Optical USB Mouse
usb 2-8.2: Manufacturer: Logitech
input: Logitech Optical USB Mouse as /devices/pci0000:00/0000:00:0b.0/usb2/2-8/2-8.2/2-8.2:1.0/input/input18
generic-usb 0003:046D:C016.0008: input,hidraw3: USB HID v1.10 Mouse [Logitech Optical USB Mouse] on usb-0000:00:0b.0-8.2/input0
btusb_intr_complete: hci0 urb f3fc0300 failed to resubmit (1)


Expected results:
Grant received and able to use mouse or keyboard.

Additional info:

Comment 1 John Mizell 2010-05-30 00:22:00 UTC
same thing is happening on a dell bluetooth keyboard


usb 2-7.2: new full speed USB device using ohci_hcd and address 3
dracut: rd_NO_DM: removing DM RAID activation
dracut: rd_NO_MD: removing MD RAID activation
usb 2-7.2: New USB device found, idVendor=046d, idProduct=c70e
usb 2-7.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-7.2: Product: BT Mini-Receiver
usb 2-7.2: Manufacturer: Logitech
usb 2-7.2: SerialNumber: 0007619578DF
input: Logitech BT Mini-Receiver as /devices/pci0000:00/0000:00:0b.0/usb2/2-7/2-7.2/2-7.2:1.0/input/input3
generic-usb 0003:046D:C70E.0001: input,hidraw0: USB HID v1.11 Keyboard [Logitech BT Mini-Receiver] on usb-0000:00:0b.0-7.2/input0
sata_nv 0000:00:0e.0: version 3.5
ACPI: PCI Interrupt Link [APSI] enabled at IRQ 21

Comment 2 Bastien Nocera 2010-12-08 10:46:30 UTC
(In reply to comment #0)
<snip>
> btusb_intr_complete: hci0 urb f3fc0300 failed to resubmit (1)

Bluetooth is broken.

(In reply to comment #1)
> same thing is happening on a dell bluetooth keyboard
> 
> 
> usb 2-7.2: new full speed USB device using ohci_hcd and address 3
> dracut: rd_NO_DM: removing DM RAID activation
> dracut: rd_NO_MD: removing MD RAID activation
> usb 2-7.2: New USB device found, idVendor=046d, idProduct=c70e
> usb 2-7.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
> usb 2-7.2: Product: BT Mini-Receiver
> usb 2-7.2: Manufacturer: Logitech
> usb 2-7.2: SerialNumber: 0007619578DF
> input: Logitech BT Mini-Receiver as
> /devices/pci0000:00/0000:00:0b.0/usb2/2-7/2-7.2/2-7.2:1.0/input/input3
> generic-usb 0003:046D:C70E.0001: input,hidraw0: USB HID v1.11 Keyboard
> [Logitech BT Mini-Receiver] on usb-0000:00:0b.0-7.2/input0
> sata_nv 0000:00:0e.0: version 3.5

I don't see anything here to tell me that the device was switched to Bluetooth mode, or that it actually failed to do anything with Bluetooth.

> ACPI: PCI Interrupt Link [APSI] enabled at IRQ 21

Comment 3 Bug Zapper 2011-06-02 12:52:12 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 17:02:34 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.